<?php
// --------------------------------------------
// | The EP-Dev Whois script        
// |                                           
// | Copyright (c) 2003-2009 EP-Dev.com :           
// | This program is distributed as free       
// | software under the GNU General Public     
// | License as published by the Free Software 
// | Foundation. You may freely redistribute     
// | and/or modify this program.               
// |                                           
// --------------------------------------------

/* ------------------------------------------------------------------ */
//	!!!!!!!!!!! DO NOT EDIT THIS FILE MANUALLY !!!!!!!!!!!!!!!!!!!!!!
//	If you edit this file manually it is likely that the control panel
//	will no longer work.
/* ------------------------------------------------------------------ */

/* ------------------------------------------------------------------ */
//	Configuration Class
//  Contains all configuration data
/* ------------------------------------------------------------------ */

class EP_Dev_Whois_Config
{
	var $NAMESERVERS;

	var $BUYMODE;

	var $SCRIPT;

	var $FILES;

	function EP_Dev_Whois_Config()
	{
		$this->ADMIN['enabled'] = true;
		$this->ADMIN['username'] = "admin";
		$this->ADMIN['password'] = "";
		$this->ADMIN['update_check'] = true;


		$this->BUYMODE['PRICETABLE']['enable'] = true;
		$this->BUYMODE['PRICETABLE']['num_rows'] = 3;
		$this->BUYMODE['PRICETABLE']['num_columns'] = 5;
		$this->BUYMODE['PRICETABLE']['include'] = "com, net, org, co.uk, org.uk, edu, biz, info, us, ws, name, cc, ca, tv, tm";

		$this->BUYMODE['CONFIG']['currency_format'] = "us";
		$this->BUYMODE['CONFIG']['currency_string'] = "";
		$this->BUYMODE['CONFIG']['tld_search'] = "com, net, org";
		$this->BUYMODE['CONFIG']['domain_suggestions'] = "";
		$this->BUYMODE['CONFIG']['enable'] = true;


		$this->SCRIPT['TLD_DISPLAY']['num_rows'] = 3;
		$this->SCRIPT['TLD_DISPLAY']['num_columns'] = 3;
		$this->SCRIPT['TLD_DISPLAY']['include'] = "com, net, org, us, biz, info, tv, ws, cc";
		$this->SCRIPT['TLD_DISPLAY']['alphabetize'] = true;

		$this->SCRIPT['LOGS']['enable'] = true;
		$this->SCRIPT['LOGS']['file'] = "logs/[[MONTH]]-[[YEAR]].txt";
		$this->SCRIPT['LOGS']['type'] = "short";
		$this->SCRIPT['LOGS']['all'] = false;
		$this->SCRIPT['LOGS']['long_format'] = "<query>
	<date>
		<month>[[MONTH]]</month>
		<day>[[DAY]]</day>
		<year>[[YEAR]]</year>
		<time>[[TIME]]</time>
	</date>
	<ip>[[IP]]</ip>
	<domain>[[DOMAIN-PUNY]]</domain>
	<ext>[[EXT]]</ext>
</query>
";
		$this->SCRIPT['LOGS']['short_format'] = "[[MONTH]]-[[DAY]]-[[YEAR]]	[[DOMAIN-PUNY]].[[EXT]]		[[IP]]
";

		$this->SCRIPT['remove_notices'] = true;
		$this->SCRIPT['translate_idn'] = true;
		$this->SCRIPT['idn_extensions'] = "";
		$this->SCRIPT['image_verification'] = "";
		$this->SCRIPT['custom_header'] = "";
		$this->SCRIPT['custom_footer'] = "";
		$this->SCRIPT['email_images'] = "";
		$this->SCRIPT['limit_bypass'] = true;
		$this->SCRIPT['copyright'] = true;
		$this->SCRIPT['absolute_path'] = "";
		$this->SCRIPT['version'] = "2.31";

		$this->SCRIPT['SITE']['title'] = "Whois Search";
		$this->SCRIPT['SITE']['url'] = "";


		$this->SCRIPT['CACHE']['time'] = 5;
		$this->SCRIPT['CACHE']['folder'] = "cache/";


		$this->SCRIPT['QUERYWHOIS']['enabled'] = true;
		$this->SCRIPT['QUERYWHOIS']['regex'] = "/(?:Whois Server|Registrar Whois): (.+)/i";


		$this->SCRIPT['ERRORS']['domain_badlength'] = "The length of a domain name must be between 2 and 63 characters.";
		$this->SCRIPT['ERRORS']['domain_badformat'] = "The domain must contain only numbers, letters, and hyphens (-). The domain must begin and end with a number or a letter.";
		$this->SCRIPT['ERRORS']['bad_extension'] = "We currently do not support the TLD [[DATA-1]].";
		$this->SCRIPT['ERRORS']['no_extension'] = "Please enter a valid extension.";
		$this->SCRIPT['ERRORS']['default'] = "An unknown error occurred!<br>Error Code:[[DATA-0]]";


		$this->FILES['folder']['images'] = "images/";
		$this->FILES['folder']['classes'] = "classes/";
		$this->FILES['folder']['admin'] = "admin/";

		$this->FILES['file']['cache'] = $this->FILES['folder']['classes'] . "cache.php";
		$this->FILES['file']['idn'] = $this->FILES['folder']['classes'] . "IDN/idna_convert.class.php";
		$this->FILES['file']['securityimage'] = $this->FILES['folder']['classes'] . "securityImage.php";
		$this->FILES['file']['image'] = $this->FILES['folder']['classes'] . "image.php";
		$this->FILES['file']['emailimage'] = $this->FILES['folder']['classes'] . "emailImage.php";
		$this->FILES['file']['domains'] = $this->FILES['folder']['classes'] . "domains.php";
		$this->FILES['file']['display'] = $this->FILES['folder']['classes'] . "display.php";
		$this->FILES['file']['user'] = $this->FILES['folder']['classes'] . "user.php";
		$this->FILES['file']['engine'] = $this->FILES['folder']['classes'] . "engine.php";
		$this->FILES['file']['logs'] = $this->FILES['folder']['classes'] . "logs.php";


		$this->NAMESERVERS['whois.crsnic.net']['enabled'] = false;
		$this->NAMESERVERS['whois.crsnic.net']['keyword'] = "No match";
		$this->NAMESERVERS['whois.crsnic.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.crsnic.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.crsnic.net']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.crsnic.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.crsnic.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.crsnic.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.crsnic.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.crsnic.net']['extensions'] = "com,net,edu";
		$this->NAMESERVERS['whois.crsnic.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.publicinterestregistry.net']['enabled'] = true;
		$this->NAMESERVERS['whois.publicinterestregistry.net']['keyword'] = "NOT FOUND";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['limit_keyword'] = "NOT FOUND";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.publicinterestregistry.net']['extensions'] = "org";
		$this->NAMESERVERS['whois.publicinterestregistry.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.uk']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.uk']['keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.uk']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.uk']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.uk']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.uk']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.uk']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.uk']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.uk']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.uk']['extensions'] = "co.uk,org.uk,net.uk";
		$this->NAMESERVERS['whois.nic.uk']['extensions_disabled'] = "ltd.uk,plc.uk";


		$this->NAMESERVERS['whois.nic.us']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.us']['keyword'] = "Not found";
		$this->NAMESERVERS['whois.nic.us']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.us']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.us']['limit_keyword'] = "Not found";
		$this->NAMESERVERS['whois.nic.us']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.us']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.us']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.us']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.us']['extensions'] = "us";
		$this->NAMESERVERS['whois.nic.us']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.neulevel.biz']['enabled'] = true;
		$this->NAMESERVERS['whois.neulevel.biz']['keyword'] = "Not found";
		$this->NAMESERVERS['whois.neulevel.biz']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.neulevel.biz']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.neulevel.biz']['limit_keyword'] = "Not found";
		$this->NAMESERVERS['whois.neulevel.biz']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.neulevel.biz']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.neulevel.biz']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.neulevel.biz']['timeout'] = 30;
		$this->NAMESERVERS['whois.neulevel.biz']['extensions'] = "biz";
		$this->NAMESERVERS['whois.neulevel.biz']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.afilias.info']['enabled'] = true;
		$this->NAMESERVERS['whois.afilias.info']['keyword'] = "NOT FOUND";
		$this->NAMESERVERS['whois.afilias.info']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.afilias.info']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.afilias.info']['limit_keyword'] = "NOT FOUND";
		$this->NAMESERVERS['whois.afilias.info']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.afilias.info']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.afilias.info']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.afilias.info']['timeout'] = 30;
		$this->NAMESERVERS['whois.afilias.info']['extensions'] = "info";
		$this->NAMESERVERS['whois.afilias.info']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.website.ws']['enabled'] = true;
		$this->NAMESERVERS['whois.website.ws']['keyword'] = "No match";
		$this->NAMESERVERS['whois.website.ws']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.website.ws']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.website.ws']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.website.ws']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.website.ws']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.website.ws']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.website.ws']['timeout'] = 30;
		$this->NAMESERVERS['whois.website.ws']['extensions'] = "ws";
		$this->NAMESERVERS['whois.website.ws']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.name']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.name']['keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.name']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.name']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.name']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.name']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.name']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.name']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.name']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.name']['extensions'] = "name";
		$this->NAMESERVERS['whois.nic.name']['extensions_disabled'] = "";

		$this->NAMESERVERS['whois.nic.cc']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.cc']['keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.cc']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.cc']['limit_format'] = "is [[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.cc']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.cc']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.cc']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.cc']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.cc']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.cc']['extensions'] = "cc";
		$this->NAMESERVERS['whois.nic.cc']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.cira.ca']['enabled'] = true;
		$this->NAMESERVERS['whois.cira.ca']['keyword'] = "AVAIL";
		$this->NAMESERVERS['whois.cira.ca']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.cira.ca']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.cira.ca']['limit_keyword'] = "AVAIL";
		$this->NAMESERVERS['whois.cira.ca']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.cira.ca']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.cira.ca']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.cira.ca']['timeout'] = 30;
		$this->NAMESERVERS['whois.cira.ca']['extensions'] = "ca";
		$this->NAMESERVERS['whois.cira.ca']['extensions_disabled'] = "ab.ca,bc.ca,mb.ca,nb.ca,qc.ca,pe.ca,on.ca,nt.ca,ns.ca,sk.ca,yk.ca";


		$this->NAMESERVERS['whois.cnnic.net.cn']['enabled'] = true;
		$this->NAMESERVERS['whois.cnnic.net.cn']['keyword'] = "no matching record";
		$this->NAMESERVERS['whois.cnnic.net.cn']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.cnnic.net.cn']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.cnnic.net.cn']['limit_keyword'] = "no matching record";
		$this->NAMESERVERS['whois.cnnic.net.cn']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.cnnic.net.cn']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.cnnic.net.cn']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.cnnic.net.cn']['timeout'] = 30;
		$this->NAMESERVERS['whois.cnnic.net.cn']['extensions'] = "cn,hk.cn";
		$this->NAMESERVERS['whois.cnnic.net.cn']['extensions_disabled'] = "nx.cn,yn.cn,gd.cn,js.cn,he.cn,org.cn,net.cn,cq.cn,hl.cn,hn.cn,gz.cn,qh.cn,mo.cn,gs.cn,sc.cn,hb.cn,jl.cn,tj.cn,gov.cn,com.cn,sh.cn,ln.cn,ah.cn,hi.cn,sn.cn,xj.cn,xz.cn,tw.cn,gx.cn,zj.cn,nm.cn,bj.cn,ac.cn";


		$this->NAMESERVERS['whois.cnnic.cn']['enabled'] = false;
		$this->NAMESERVERS['whois.cnnic.cn']['keyword'] = "no matching record";
		$this->NAMESERVERS['whois.cnnic.cn']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.cnnic.cn']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.cnnic.cn']['limit_keyword'] = "no matching record";
		$this->NAMESERVERS['whois.cnnic.cn']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.cnnic.cn']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.cnnic.cn']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.cnnic.cn']['timeout'] = 30;
		$this->NAMESERVERS['whois.cnnic.cn']['extensions'] = "cn";
		$this->NAMESERVERS['whois.cnnic.cn']['extensions_disabled'] = "nx.cn,yn.cn,gd.cn,js.cn,he.cn,org.cn,net.cn,cq.cn,hl.cn,hn.cn,gz.cn,qh.cn,mo.cn,hk.cn,gs.cn,sc.cn,hb.cn,jl.cn,tj.cn,gov.cn,com.cn,sh.cn,ln.cn,ah.cn,hi.cn,sn.cn,xj.cn,xz.cn,tw.cn,gx.cn,zj.cn,nm.cn,bj.cn,ac.cn";



		$this->NAMESERVERS['whois.nic.tm']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.tm']['keyword'] = "- Available";
		$this->NAMESERVERS['whois.nic.tm']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.tm']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.tm']['limit_keyword'] = "- Available";
		$this->NAMESERVERS['whois.nic.tm']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.tm']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.tm']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.tm']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.tm']['extensions'] = "tm";
		$this->NAMESERVERS['whois.nic.tm']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.domain-registry.nl']['enabled'] = true;
		$this->NAMESERVERS['whois.domain-registry.nl']['keyword'] = "is free";
		$this->NAMESERVERS['whois.domain-registry.nl']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.domain-registry.nl']['limit_format'] = "is [[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.domain-registry.nl']['limit_keyword'] = "is free";
		$this->NAMESERVERS['whois.domain-registry.nl']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.domain-registry.nl']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.domain-registry.nl']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.domain-registry.nl']['timeout'] = 30;
		$this->NAMESERVERS['whois.domain-registry.nl']['extensions'] = "nl";
		$this->NAMESERVERS['whois.domain-registry.nl']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.denic.de']['enabled'] = true;
		$this->NAMESERVERS['whois.denic.de']['keyword'] = "not found";
		$this->NAMESERVERS['whois.denic.de']['format'] = "-T ace,dn [[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.denic.de']['limit_format'] = "-T ace,dn [[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.denic.de']['limit_keyword'] = "not found";
		$this->NAMESERVERS['whois.denic.de']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.denic.de']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.denic.de']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.denic.de']['timeout'] = 30;
		$this->NAMESERVERS['whois.denic.de']['extensions'] = "de";
		$this->NAMESERVERS['whois.denic.de']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois-check.ausregistry.net.au']['enabled'] = true;
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['keyword'] = "^Available";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['limit_format'] = "is [[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['limit_keyword'] = "Not Available";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['timeout'] = 30;
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['extensions'] = "com.au";
		$this->NAMESERVERS['whois-check.ausregistry.net.au']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.centralnic.com']['enabled'] = true;
		$this->NAMESERVERS['whois.centralnic.com']['keyword'] = "No match";
		$this->NAMESERVERS['whois.centralnic.com']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.centralnic.com']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.centralnic.com']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.centralnic.com']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.centralnic.com']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.centralnic.com']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.centralnic.com']['timeout'] = 30;
		$this->NAMESERVERS['whois.centralnic.com']['extensions'] = "br.com,cn.com,eu.com,hu.com,no.com,qc.com,sa.com,se.com,se.net,us.com,uy.com,za.com";
		$this->NAMESERVERS['whois.centralnic.com']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.isoc.org.il']['enabled'] = false;
		$this->NAMESERVERS['whois.isoc.org.il']['keyword'] = "No data was found"; // Status: FREE
		$this->NAMESERVERS['whois.isoc.org.il']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.isoc.org.il']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.isoc.org.il']['limit_keyword'] = "No data was found";
		$this->NAMESERVERS['whois.isoc.org.il']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.isoc.org.il']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.isoc.org.il']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.isoc.org.il']['timeout'] = 30;
		$this->NAMESERVERS['whois.isoc.org.il']['extensions'] = "ac,ac.ac,co.ac,gv.ac,or.ac,ac.be,cz,dk,fo,co.il,org.il,net.il,ac.il,k12.il,gov.il,muni.il,is,it,lt,lu,asso.mc,tm.mc,pt,com.ro,org.ro,store.ro,tm.ro,firm.ro,www.ro,arts.ro,rec.ro,info.ro,nom.ro,nt.ro,sk";
		$this->NAMESERVERS['whois.isoc.org.il']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.ripe.net']['enabled'] = false;
		$this->NAMESERVERS['whois.ripe.net']['keyword'] = "no entries found"; // Status: FREE
		$this->NAMESERVERS['whois.ripe.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.ripe.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.ripe.net']['limit_keyword'] = "no entries found";
		$this->NAMESERVERS['whois.ripe.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.ripe.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.ripe.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.ripe.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.ripe.net']['extensions'] = "ac,ac.ac,co.ac,gv.ac,or.ac,cz,fo,org.il,k12.il,gov.il,is,it,lt,lu,asso.mc,tm.mc,pt,com.ro,org.ro,www.ro,info.ro";
		$this->NAMESERVERS['whois.ripe.net']['extensions_disabled'] = "ac.be,ac.il,arts.ro,co.il,firm.ro,dk,muni.il,net.il,nom.ro,nt.ro,rec.ro,sk,store.ro,tm.ro";


		$this->NAMESERVERS['whois.netnames.net']['enabled'] = false;
		$this->NAMESERVERS['whois.netnames.net']['keyword'] = "No match";
		$this->NAMESERVERS['whois.netnames.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.netnames.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.netnames.net']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.netnames.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.netnames.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.netnames.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.netnames.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.netnames.net']['extensions'] = "af";
		$this->NAMESERVERS['whois.netnames.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.am']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.am']['keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.am']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.am']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.am']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.am']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.am']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.am']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.am']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.am']['extensions'] = "am";
		$this->NAMESERVERS['whois.nic.am']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.as']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.as']['keyword'] = "Domain Not Found";
		$this->NAMESERVERS['whois.nic.as']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.as']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.as']['limit_keyword'] = "Domain Not Found";
		$this->NAMESERVERS['whois.nic.as']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.as']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.as']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.as']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.as']['extensions'] = "as";
		$this->NAMESERVERS['whois.nic.as']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.at']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.at']['keyword'] = "nothing found";
		$this->NAMESERVERS['whois.nic.at']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.at']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.at']['limit_keyword'] = "nothing found";
		$this->NAMESERVERS['whois.nic.at']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.at']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.at']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.at']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.at']['extensions'] = "at,ac.at,co.at,gv.at,or.at";
		$this->NAMESERVERS['whois.nic.at']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.aunic.net']['enabled'] = false;
		$this->NAMESERVERS['whois.aunic.net']['keyword'] = "No Data Found";
		$this->NAMESERVERS['whois.aunic.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.aunic.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.aunic.net']['limit_keyword'] = "No Data Found";
		$this->NAMESERVERS['whois.aunic.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.aunic.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.aunic.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.aunic.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.aunic.net']['extensions'] = "asn.au,com.au,edu.au,org.au";
		$this->NAMESERVERS['whois.aunic.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.audns.net.au']['enabled'] = false;
		$this->NAMESERVERS['whois.audns.net.au']['keyword'] = "No Data Found";
		$this->NAMESERVERS['whois.audns.net.au']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.audns.net.au']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.audns.net.au']['limit_keyword'] = "No Data Found";
		$this->NAMESERVERS['whois.audns.net.au']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.audns.net.au']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.audns.net.au']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.audns.net.au']['timeout'] = 30;
		$this->NAMESERVERS['whois.audns.net.au']['extensions'] = "net.au";
		$this->NAMESERVERS['whois.audns.net.au']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.dns.be']['enabled'] = false;
		$this->NAMESERVERS['whois.dns.be']['keyword'] = "Status:      FREE";
		$this->NAMESERVERS['whois.dns.be']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.dns.be']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.dns.be']['limit_keyword'] = "Status:      FREE";
		$this->NAMESERVERS['whois.dns.be']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.dns.be']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.dns.be']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.dns.be']['timeout'] = 30;
		$this->NAMESERVERS['whois.dns.be']['extensions'] = "be";
		$this->NAMESERVERS['whois.dns.be']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.ch']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.ch']['keyword'] = "do not have an entry";
		$this->NAMESERVERS['whois.nic.ch']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.ch']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.ch']['limit_keyword'] = "do not have an entry";
		$this->NAMESERVERS['whois.nic.ch']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.ch']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.ch']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.ch']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.ch']['extensions'] = "ch";
		$this->NAMESERVERS['whois.nic.ch']['extensions_disabled'] = "";

		$this->NAMESERVERS['whois.nic.cx']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.cx']['keyword'] = "Status: Not Registered";
		$this->NAMESERVERS['whois.nic.cx']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.cx']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.cx']['limit_keyword'] = "Status: Not Registered";
		$this->NAMESERVERS['whois.nic.cx']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.cx']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.cx']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.cx']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.cx']['extensions'] = "cx";
		$this->NAMESERVERS['whois.nic.cx']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.fr']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.fr']['keyword'] = "No entries found";
		$this->NAMESERVERS['whois.nic.fr']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.fr']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.fr']['limit_keyword'] = "No entries found";
		$this->NAMESERVERS['whois.nic.fr']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.fr']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.fr']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.fr']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.fr']['extensions'] = "fr,tm.fr,com.fr,asso.fr,presse.fr";
		$this->NAMESERVERS['whois.nic.fr']['extensions_disabled'] = "";

		$this->NAMESERVERS['whois.adamsnames.tc']['enabled'] = false;
		$this->NAMESERVERS['whois.adamsnames.tc']['keyword'] = "is not registered";
		$this->NAMESERVERS['whois.adamsnames.tc']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.adamsnames.tc']['limit_format'] = "is [[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.adamsnames.tc']['limit_keyword'] = "is not registered";
		$this->NAMESERVERS['whois.adamsnames.tc']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.adamsnames.tc']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.adamsnames.tc']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.adamsnames.tc']['timeout'] = 30;
		$this->NAMESERVERS['whois.adamsnames.tc']['extensions'] = "tc,vg";
		$this->NAMESERVERS['whois.adamsnames.tc']['extensions_disabled'] = "";

		
		$this->NAMESERVERS['whois.nic.tf']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.tf']['keyword'] = "No entries found";
		$this->NAMESERVERS['whois.nic.tf']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.tf']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.tf']['limit_keyword'] = "No entries found";
		$this->NAMESERVERS['whois.nic.tf']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.tf']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.tf']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.tf']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.tf']['extensions'] = "tf";
		$this->NAMESERVERS['whois.nic.tf']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.jprs.jp']['enabled'] = false;
		$this->NAMESERVERS['whois.jprs.jp']['keyword'] = "No match";
		$this->NAMESERVERS['whois.jprs.jp']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.jprs.jp']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.jprs.jp']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.jprs.jp']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.jprs.jp']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.jprs.jp']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.jprs.jp']['timeout'] = 30;
		$this->NAMESERVERS['whois.jprs.jp']['extensions'] = "ac.jp,co.jp,go.jp,or.jp,ne.jp";
		$this->NAMESERVERS['whois.jprs.jp']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.or.kr']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.or.kr']['keyword'] = "is not registered";
		$this->NAMESERVERS['whois.nic.or.kr']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.or.kr']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.or.kr']['limit_keyword'] = "is not registered";
		$this->NAMESERVERS['whois.nic.or.kr']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.or.kr']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.or.kr']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.or.kr']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.or.kr']['extensions'] = "ac.kr,co.kr,go.kr,ne.kr,nm.kr,or.kr,re.kr";
		$this->NAMESERVERS['whois.nic.or.kr']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.li']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.li']['keyword'] = "do not have an entry";
		$this->NAMESERVERS['whois.nic.li']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.li']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.li']['limit_keyword'] = "do not have an entry";
		$this->NAMESERVERS['whois.nic.li']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.li']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.li']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.li']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.li']['extensions'] = "li";
		$this->NAMESERVERS['whois.nic.li']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.mx']['enabled'] = false;
		$this->NAMESERVERS['whois.mx']['keyword'] = "No_Se_Encontro_El_Objeto/Object_Not_Found";
		$this->NAMESERVERS['whois.mx']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.mx']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.mx']['limit_keyword'] = "=No_Se_Encontro_El_Objeto/Object_Not_Found";
		$this->NAMESERVERS['whois.mx']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.mx']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.mx']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.mx']['timeout'] = 30;
		$this->NAMESERVERS['whois.mx']['extensions'] = "mx,com.mx,net.mx,org.mx,edu.mx";
		$this->NAMESERVERS['whois.mx']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.norid.no']['enabled'] = false;
		$this->NAMESERVERS['whois.norid.no']['keyword'] = "no matches";
		$this->NAMESERVERS['whois.norid.no']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.norid.no']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.norid.no']['limit_keyword'] = "no matches";
		$this->NAMESERVERS['whois.norid.no']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.norid.no']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.norid.no']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.norid.no']['timeout'] = 30;
		$this->NAMESERVERS['whois.norid.no']['extensions'] = "no";
		$this->NAMESERVERS['whois.norid.no']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.nu']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.nu']['keyword'] = "NO MATCH for";
		$this->NAMESERVERS['whois.nic.nu']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.nu']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.nu']['limit_keyword'] = "NO MATCH for";
		$this->NAMESERVERS['whois.nic.nu']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.nu']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.nu']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.nu']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.nu']['extensions'] = "nu";
		$this->NAMESERVERS['whois.nic.nu']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.dns.pl']['enabled'] = false;
		$this->NAMESERVERS['whois.dns.pl']['keyword'] = "No information about";
		$this->NAMESERVERS['whois.dns.pl']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.dns.pl']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.dns.pl']['limit_keyword'] = "No information about";
		$this->NAMESERVERS['whois.dns.pl']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.dns.pl']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.dns.pl']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.dns.pl']['timeout'] = 30;
		$this->NAMESERVERS['whois.dns.pl']['extensions'] = "pl,com.pl,net.pl,org.pl";
		$this->NAMESERVERS['whois.dns.pl']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.ripn.net']['enabled'] = false;
		$this->NAMESERVERS['whois.ripn.net']['keyword'] = "No entries found";
		$this->NAMESERVERS['whois.ripn.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.ripn.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.ripn.net']['limit_keyword'] = "No entries found";
		$this->NAMESERVERS['whois.ripn.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.ripn.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.ripn.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.ripn.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.ripn.net']['extensions'] = "ru,com.ru,net.ru,org.ru";
		$this->NAMESERVERS['whois.ripn.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic-se.se']['enabled'] = false;
		$this->NAMESERVERS['whois.nic-se.se']['keyword'] = "not found.";
		$this->NAMESERVERS['whois.nic-se.se']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic-se.se']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic-se.se']['limit_keyword'] = "not found.";
		$this->NAMESERVERS['whois.nic-se.se']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic-se.se']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic-se.se']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic-se.se']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic-se.se']['extensions'] = "se";
		$this->NAMESERVERS['whois.nic-se.se']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.arnes.si']['enabled'] = false;
		$this->NAMESERVERS['whois.arnes.si']['keyword'] = "No entries found";
		$this->NAMESERVERS['whois.arnes.si']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.arnes.si']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.arnes.si']['limit_keyword'] = "No entries found";
		$this->NAMESERVERS['whois.arnes.si']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.arnes.si']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.arnes.si']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.arnes.si']['timeout'] = 30;
		$this->NAMESERVERS['whois.arnes.si']['extensions'] = "si";
		$this->NAMESERVERS['whois.arnes.si']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.net.sg']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.net.sg']['keyword'] = "Domain Not Found";
		$this->NAMESERVERS['whois.nic.net.sg']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.net.sg']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.net.sg']['limit_keyword'] = "Domain Not Found";
		$this->NAMESERVERS['whois.nic.net.sg']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.net.sg']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.net.sg']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.net.sg']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.net.sg']['extensions'] = "com.sg,org.sg,net.sg,gov.sg";
		$this->NAMESERVERS['whois.nic.net.sg']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.st']['enabled'] = false;
		$this->NAMESERVERS['whois.nic.st']['keyword'] = "No entries found";
		$this->NAMESERVERS['whois.nic.st']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.st']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.st']['limit_keyword'] = "No entries found";
		$this->NAMESERVERS['whois.nic.st']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.st']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.st']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.st']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.st']['extensions'] = "st";
		$this->NAMESERVERS['whois.nic.st']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.thnic.net']['enabled'] = false;
		$this->NAMESERVERS['whois.thnic.net']['keyword'] = "No entries";
		$this->NAMESERVERS['whois.thnic.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.thnic.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.thnic.net']['limit_keyword'] = "No entries";
		$this->NAMESERVERS['whois.thnic.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.thnic.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.thnic.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.thnic.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.thnic.net']['extensions'] = "ac.th,co.th,go.th,mi.th,net.th,or.th";
		$this->NAMESERVERS['whois.thnic.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['monarch.tonic.to']['enabled'] = false;
		$this->NAMESERVERS['monarch.tonic.to']['keyword'] = "No match";
		$this->NAMESERVERS['monarch.tonic.to']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['monarch.tonic.to']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['monarch.tonic.to']['limit_keyword'] = "No match";
		$this->NAMESERVERS['monarch.tonic.to']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['monarch.tonic.to']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['monarch.tonic.to']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['monarch.tonic.to']['timeout'] = 30;
		$this->NAMESERVERS['monarch.tonic.to']['extensions'] = "to";
		$this->NAMESERVERS['monarch.tonic.to']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.metu.edu.tr']['enabled'] = false;
		$this->NAMESERVERS['whois.metu.edu.tr']['keyword'] = "No match";
		$this->NAMESERVERS['whois.metu.edu.tr']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.metu.edu.tr']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.metu.edu.tr']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.metu.edu.tr']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.metu.edu.tr']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.metu.edu.tr']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.metu.edu.tr']['timeout'] = 30;
		$this->NAMESERVERS['whois.metu.edu.tr']['extensions'] = "bbs.tr,com.tr,edu.tr,gov.tr,k12.tr,mil.tr,net.tr,org.tr";
		$this->NAMESERVERS['whois.metu.edu.tr']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.twnic.net']['enabled'] = false;
		$this->NAMESERVERS['whois.twnic.net']['keyword'] = "No Found";
		$this->NAMESERVERS['whois.twnic.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.twnic.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.twnic.net']['limit_keyword'] = "No Found";
		$this->NAMESERVERS['whois.twnic.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.twnic.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.twnic.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.twnic.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.twnic.net']['extensions'] = "com.tw,net.tw,org.tw";
		$this->NAMESERVERS['whois.twnic.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.ja.net']['enabled'] = false;
		$this->NAMESERVERS['whois.ja.net']['keyword'] = "No such domain";
		$this->NAMESERVERS['whois.ja.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.ja.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.ja.net']['limit_keyword'] = "No such domain";
		$this->NAMESERVERS['whois.ja.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.ja.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.ja.net']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.ja.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.ja.net']['extensions'] = "ac.uk";
		$this->NAMESERVERS['whois.ja.net']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.nic.tv']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.tv']['keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.tv']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.tv']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.tv']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.nic.tv']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.tv']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.tv']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.nic.tv']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.tv']['extensions'] = "tv";
		$this->NAMESERVERS['whois.nic.tv']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.verisign-grs.com']['enabled'] = true;
		$this->NAMESERVERS['whois.verisign-grs.com']['keyword'] = "No match";
		$this->NAMESERVERS['whois.verisign-grs.com']['format'] = "=[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.verisign-grs.com']['limit_format'] = "=[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.verisign-grs.com']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.verisign-grs.com']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.verisign-grs.com']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.verisign-grs.com']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.verisign-grs.com']['timeout'] = 30;
		$this->NAMESERVERS['whois.verisign-grs.com']['extensions'] = "com,net";
		$this->NAMESERVERS['whois.verisign-grs.com']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.educause.edu']['enabled'] = true;
		$this->NAMESERVERS['whois.educause.edu']['keyword'] = "No match";
		$this->NAMESERVERS['whois.educause.edu']['format'] = "=[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.educause.edu']['limit_format'] = "=[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.educause.edu']['limit_keyword'] = "No match";
		$this->NAMESERVERS['whois.educause.edu']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.educause.edu']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.educause.edu']['advanced_custom_query_address'] = "[[SERVER]]:43";
		$this->NAMESERVERS['whois.educause.edu']['timeout'] = 30;
		$this->NAMESERVERS['whois.educause.edu']['extensions'] = "edu";
		$this->NAMESERVERS['whois.educause.edu']['extensions_disabled'] = "";


		$this->NAMESERVERS['whois.eu']['enabled'] = true;
		$this->NAMESERVERS['whois.eu']['keyword'] = "Status:	AVAILABLE";
		$this->NAMESERVERS['whois.eu']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.eu']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.eu']['limit_keyword'] = "Status:	AVAILABLE";
		$this->NAMESERVERS['whois.eu']['timeout'] = 30;
		$this->NAMESERVERS['whois.eu']['extensions'] = "eu";
		$this->NAMESERVERS['whois.eu']['extensions_disabled'] = "";
		$this->NAMESERVERS['whois.eu']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.eu']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.eu']['advanced_custom_query_address'] = "[[SERVER]]:43";


		$this->NAMESERVERS['whois.nic.ms']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.ms']['keyword'] = "Status: Not Registered";
		$this->NAMESERVERS['whois.nic.ms']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.ms']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.ms']['limit_keyword'] = "Status: Not Registered";
		$this->NAMESERVERS['whois.nic.ms']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.ms']['extensions'] = "ms";
		$this->NAMESERVERS['whois.nic.ms']['extensions_disabled'] = "";
		$this->NAMESERVERS['whois.nic.ms']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.ms']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.ms']['advanced_custom_query_address'] = "[[SERVER]]:43";


		$this->NAMESERVERS['whois.nic.gs']['enabled'] = true;
		$this->NAMESERVERS['whois.nic.gs']['keyword'] = "Status: Not Registered";
		$this->NAMESERVERS['whois.nic.gs']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.gs']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.nic.gs']['limit_keyword'] = "Status: Not Registered";
		$this->NAMESERVERS['whois.nic.gs']['timeout'] = 30;
		$this->NAMESERVERS['whois.nic.gs']['extensions'] = "gs";
		$this->NAMESERVERS['whois.nic.gs']['extensions_disabled'] = "";
		$this->NAMESERVERS['whois.nic.gs']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.gs']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.nic.gs']['advanced_custom_query_address'] = "[[SERVER]]:43";


		$this->NAMESERVERS['whois.dotmobiregistry.net']['enabled'] = true;
		$this->NAMESERVERS['whois.dotmobiregistry.net']['keyword'] = "NOT FOUND";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['limit_format'] = "[[DOMAIN]].[[EXT]]";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['limit_keyword'] = "NOT FOUND";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['timeout'] = 30;
		$this->NAMESERVERS['whois.dotmobiregistry.net']['extensions'] = "mobi";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['extensions_disabled'] = "";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['advanced_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['advanced_limit_custom_query'] = "[[QUERY]]\\r\\n";
		$this->NAMESERVERS['whois.dotmobiregistry.net']['advanced_custom_query_address'] = "[[SERVER]]:43";


		// ---- SPECIAL NAMESERVER TARGET LINE USED BY ADMIN PANEL -- DO NOT REMOVE ---- //


		$this->BUYMODE['PRICES']['biz'] = "9.95";
		$this->BUYMODE['PRICES']['cc'] = "9.95";
		$this->BUYMODE['PRICES']['com'] = "9.95";
		$this->BUYMODE['PRICES']['com.au'] = "9.95";
		$this->BUYMODE['PRICES']['de'] = "9.95";
		$this->BUYMODE['PRICES']['edu'] = "9.95";
		$this->BUYMODE['PRICES']['info'] = "9.95";
		$this->BUYMODE['PRICES']['name'] = "9.95";
		$this->BUYMODE['PRICES']['net'] = "9.95";
		$this->BUYMODE['PRICES']['nl'] = "9.95";
		$this->BUYMODE['PRICES']['org'] = "9.95";
		$this->BUYMODE['PRICES']['tm'] = "9.95";
		$this->BUYMODE['PRICES']['us'] = "9.95";
		$this->BUYMODE['PRICES']['ws'] = "29.95";
		$this->BUYMODE['PRICES']['am'] = "0.00";
		$this->BUYMODE['PRICES']['arts.ro'] = "0.00";
		$this->BUYMODE['PRICES']['as'] = "0.00";
		$this->BUYMODE['PRICES']['asn.au'] = "0.00";
		$this->BUYMODE['PRICES']['asso.fr'] = "0.00";
		$this->BUYMODE['PRICES']['asso.mc'] = "0.00";
		$this->BUYMODE['PRICES']['at'] = "0.00";
		$this->BUYMODE['PRICES']['bbs.tr'] = "0.00";
		$this->BUYMODE['PRICES']['bc.ca'] = "0.00";
		$this->BUYMODE['PRICES']['be'] = "0.00";
		$this->BUYMODE['PRICES']['bj.cn'] = "0.00";
		$this->BUYMODE['PRICES']['br.com'] = "55.95";
		$this->BUYMODE['PRICES']['ca'] = "9.95";
		$this->BUYMODE['PRICES']['ch'] = "0.00";
		$this->BUYMODE['PRICES']['cn.com'] = "55.95";
		$this->BUYMODE['PRICES']['co.ac'] = "0.00";
		$this->BUYMODE['PRICES']['co.at'] = "0.00";
		$this->BUYMODE['PRICES']['co.il'] = "0.00";
		$this->BUYMODE['PRICES']['co.jp'] = "0.00";
		$this->BUYMODE['PRICES']['co.kr'] = "0.00";
		$this->BUYMODE['PRICES']['co.th'] = "0.00";
		$this->BUYMODE['PRICES']['co.uk'] = "9.95";
		$this->BUYMODE['PRICES']['com.cn'] = "0.00";
		$this->BUYMODE['PRICES']['com.fr'] = "0.00";
		$this->BUYMODE['PRICES']['com.mx'] = "0.00";
		$this->BUYMODE['PRICES']['com.pl'] = "0.00";
		$this->BUYMODE['PRICES']['com.ro'] = "0.00";
		$this->BUYMODE['PRICES']['com.ru'] = "0.00";
		$this->BUYMODE['PRICES']['com.sg'] = "0.00";
		$this->BUYMODE['PRICES']['com.tr'] = "0.00";
		$this->BUYMODE['PRICES']['com.tw'] = "0.00";
		$this->BUYMODE['PRICES']['cq.cn'] = "0.00";
		$this->BUYMODE['PRICES']['cx'] = "0.00";
		$this->BUYMODE['PRICES']['cz'] = "0.00";
		$this->BUYMODE['PRICES']['dk'] = "0.00";
		$this->BUYMODE['PRICES']['edu.au'] = "0.00";
		$this->BUYMODE['PRICES']['edu.mx'] = "0.00";
		$this->BUYMODE['PRICES']['edu.tr'] = "0.00";
		$this->BUYMODE['PRICES']['eu.com'] = "29.95";
		$this->BUYMODE['PRICES']['firm.ro'] = "0.00";
		$this->BUYMODE['PRICES']['fo'] = "0.00";
		$this->BUYMODE['PRICES']['fr'] = "0.00";
		$this->BUYMODE['PRICES']['gd.cn'] = "0.00";
		$this->BUYMODE['PRICES']['go.jp'] = "0.00";
		$this->BUYMODE['PRICES']['go.kr'] = "0.00";
		$this->BUYMODE['PRICES']['go.th'] = "0.00";
		$this->BUYMODE['PRICES']['gov.cn'] = "0.00";
		$this->BUYMODE['PRICES']['gov.il'] = "0.00";
		$this->BUYMODE['PRICES']['gov.sg'] = "0.00";
		$this->BUYMODE['PRICES']['gov.tr'] = "0.00";
		$this->BUYMODE['PRICES']['gs'] = "0.00";
		$this->BUYMODE['PRICES']['gs.cn'] = "0.00";
		$this->BUYMODE['PRICES']['gv.ac'] = "0.00";
		$this->BUYMODE['PRICES']['gv.at'] = "0.00";
		$this->BUYMODE['PRICES']['gx.cn'] = "0.00";
		$this->BUYMODE['PRICES']['gz.cn'] = "0.00";
		$this->BUYMODE['PRICES']['hb.cn'] = "0.00";
		$this->BUYMODE['PRICES']['he.cn'] = "0.00";
		$this->BUYMODE['PRICES']['hi.cn'] = "0.00";
		$this->BUYMODE['PRICES']['hk.cn'] = "0.00";
		$this->BUYMODE['PRICES']['hl.cn'] = "0.00";
		$this->BUYMODE['PRICES']['hn.cn'] = "0.00";
		$this->BUYMODE['PRICES']['hu.com'] = "55.95";
		$this->BUYMODE['PRICES']['info.ro'] = "0.00";
		$this->BUYMODE['PRICES']['is'] = "0.00";
		$this->BUYMODE['PRICES']['it'] = "0.00";
		$this->BUYMODE['PRICES']['jl.cn'] = "0.00";
		$this->BUYMODE['PRICES']['js.cn'] = "0.00";
		$this->BUYMODE['PRICES']['k12.il'] = "0.00";
		$this->BUYMODE['PRICES']['k12.tr'] = "0.00";
		$this->BUYMODE['PRICES']['li'] = "0.00";
		$this->BUYMODE['PRICES']['ln.cn'] = "0.00";
		$this->BUYMODE['PRICES']['lt'] = "0.00";
		$this->BUYMODE['PRICES']['ltd.uk'] = "0.00";
		$this->BUYMODE['PRICES']['lu'] = "0.00";
		$this->BUYMODE['PRICES']['mb.ca'] = "0.00";
		$this->BUYMODE['PRICES']['mi.th'] = "0.00";
		$this->BUYMODE['PRICES']['mil.tr'] = "0.00";
		$this->BUYMODE['PRICES']['mo.cn'] = "0.00";
		$this->BUYMODE['PRICES']['ms'] = "0.00";
		$this->BUYMODE['PRICES']['muni.il'] = "0.00";
		$this->BUYMODE['PRICES']['mx'] = "0.00";
		$this->BUYMODE['PRICES']['nb.ca'] = "0.00";
		$this->BUYMODE['PRICES']['ne.jp'] = "0.00";
		$this->BUYMODE['PRICES']['ne.kr'] = "0.00";
		$this->BUYMODE['PRICES']['net.au'] = "0.00";
		$this->BUYMODE['PRICES']['net.cn'] = "0.00";
		$this->BUYMODE['PRICES']['net.il'] = "0.00";
		$this->BUYMODE['PRICES']['net.mx'] = "0.00";
		$this->BUYMODE['PRICES']['net.pl'] = "0.00";
		$this->BUYMODE['PRICES']['net.ru'] = "0.00";
		$this->BUYMODE['PRICES']['net.sg'] = "0.00";
		$this->BUYMODE['PRICES']['net.th'] = "0.00";
		$this->BUYMODE['PRICES']['net.tr'] = "0.00";
		$this->BUYMODE['PRICES']['net.tw'] = "0.00";
		$this->BUYMODE['PRICES']['net.uk'] = "9.95";
		$this->BUYMODE['PRICES']['nm.cn'] = "0.00";
		$this->BUYMODE['PRICES']['nm.kr'] = "0.00";
		$this->BUYMODE['PRICES']['no'] = "0.00";
		$this->BUYMODE['PRICES']['no.com'] = "55.95";
		$this->BUYMODE['PRICES']['nom.ro'] = "0.00";
		$this->BUYMODE['PRICES']['ns.ca'] = "0.00";
		$this->BUYMODE['PRICES']['nt.ca'] = "0.00";
		$this->BUYMODE['PRICES']['nt.ro'] = "0.00";
		$this->BUYMODE['PRICES']['nu'] = "0.00";
		$this->BUYMODE['PRICES']['nx.cn'] = "0.00";
		$this->BUYMODE['PRICES']['on.ca'] = "0.00";
		$this->BUYMODE['PRICES']['or.ac'] = "0.00";
		$this->BUYMODE['PRICES']['or.at'] = "0.00";
		$this->BUYMODE['PRICES']['or.jp'] = "0.00";
		$this->BUYMODE['PRICES']['or.kr'] = "0.00";
		$this->BUYMODE['PRICES']['or.th'] = "0.00";
		$this->BUYMODE['PRICES']['org.au'] = "0.00";
		$this->BUYMODE['PRICES']['org.cn'] = "0.00";
		$this->BUYMODE['PRICES']['org.il'] = "0.00";
		$this->BUYMODE['PRICES']['org.mx'] = "0.00";
		$this->BUYMODE['PRICES']['org.pl'] = "0.00";
		$this->BUYMODE['PRICES']['org.ro'] = "0.00";
		$this->BUYMODE['PRICES']['org.ru'] = "0.00";
		$this->BUYMODE['PRICES']['org.sg'] = "0.00";
		$this->BUYMODE['PRICES']['org.tr'] = "0.00";
		$this->BUYMODE['PRICES']['org.tw'] = "0.00";
		$this->BUYMODE['PRICES']['org.uk'] = "9.95";
		$this->BUYMODE['PRICES']['pe.ca'] = "0.00";
		$this->BUYMODE['PRICES']['pl'] = "0.00";
		$this->BUYMODE['PRICES']['plc.uk'] = "0.00";
		$this->BUYMODE['PRICES']['presse.fr'] = "0.00";
		$this->BUYMODE['PRICES']['pt'] = "0.00";
		$this->BUYMODE['PRICES']['qc.ca'] = "0.00";
		$this->BUYMODE['PRICES']['qc.com'] = "55.95";
		$this->BUYMODE['PRICES']['qh.cn'] = "0.00";
		$this->BUYMODE['PRICES']['re.kr'] = "0.00";
		$this->BUYMODE['PRICES']['rec.ro'] = "0.00";
		$this->BUYMODE['PRICES']['ru'] = "0.00";
		$this->BUYMODE['PRICES']['sa.com'] = "55.95";
		$this->BUYMODE['PRICES']['sc.cn'] = "0.00";
		$this->BUYMODE['PRICES']['se'] = "0.00";
		$this->BUYMODE['PRICES']['se.com'] = "55.95";
		$this->BUYMODE['PRICES']['se.net'] = "55.95";
		$this->BUYMODE['PRICES']['sh.cn'] = "0.00";
		$this->BUYMODE['PRICES']['si'] = "0.00";
		$this->BUYMODE['PRICES']['sk'] = "0.00";
		$this->BUYMODE['PRICES']['sk.ca'] = "0.00";
		$this->BUYMODE['PRICES']['sn.cn'] = "0.00";
		$this->BUYMODE['PRICES']['st'] = "0.00";
		$this->BUYMODE['PRICES']['store.ro'] = "0.00";
		$this->BUYMODE['PRICES']['tc'] = "0.00";
		$this->BUYMODE['PRICES']['tf'] = "0.00";
		$this->BUYMODE['PRICES']['tj.cn'] = "0.00";
		$this->BUYMODE['PRICES']['tm.fr'] = "0.00";
		$this->BUYMODE['PRICES']['tm.mc'] = "0.00";
		$this->BUYMODE['PRICES']['tm.ro'] = "0.00";
		$this->BUYMODE['PRICES']['to'] = "0.00";
		$this->BUYMODE['PRICES']['tw.cn'] = "0.00";
		$this->BUYMODE['PRICES']['us.com'] = "29.95";
		$this->BUYMODE['PRICES']['uy.com'] = "55.95";
		$this->BUYMODE['PRICES']['vg'] = "0.00";
		$this->BUYMODE['PRICES']['www.ro'] = "0.00";
		$this->BUYMODE['PRICES']['xj.cn'] = "0.00";
		$this->BUYMODE['PRICES']['xz.cn'] = "0.00";
		$this->BUYMODE['PRICES']['yk.ca'] = "0.00";
		$this->BUYMODE['PRICES']['yn.cn'] = "0.00";
		$this->BUYMODE['PRICES']['za.com'] = "55.95";
		$this->BUYMODE['PRICES']['zj.cn'] = "0.00";
		$this->BUYMODE['PRICES']['tv'] = "45.95";
		$this->BUYMODE['PRICES']['cn'] = "29.95";
		$this->BUYMODE['PRICES']['ab.ca'] = "0.00";
		$this->BUYMODE['PRICES']['ac'] = "0.00";
		$this->BUYMODE['PRICES']['ac.ac'] = "0.00";
		$this->BUYMODE['PRICES']['ac.at'] = "0.00";
		$this->BUYMODE['PRICES']['ac.be'] = "0.00";
		$this->BUYMODE['PRICES']['ac.cn'] = "0.00";
		$this->BUYMODE['PRICES']['ac.il'] = "0.00";
		$this->BUYMODE['PRICES']['ac.jp'] = "0.00";
		$this->BUYMODE['PRICES']['ac.kr'] = "0.00";
		$this->BUYMODE['PRICES']['ac.th'] = "0.00";
		$this->BUYMODE['PRICES']['ac.uk'] = "0.00";
		$this->BUYMODE['PRICES']['af'] = "0.00";
		$this->BUYMODE['PRICES']['ah.cn'] = "0.00";
		$this->BUYMODE['PRICES']['eu'] = "9.95";
		$this->BUYMODE['PRICES']['mobi'] = "0.00";


		// ---- SPECIAL PRICE TARGET LINE USED BY ADMIN PANEL -- DO NOT REMOVE ---- //

	}
}
